InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::GenericSensorConfig Struct Reference
Inheritance diagram for inertia::GenericSensorConfig:
[legend]
Collaboration diagram for inertia::GenericSensorConfig:
[legend]

## Public Member Functions
| GenericSensorConfig (ConfigType _configType)
| GenericSensorConfig (uint8_t const *in, ConfigType _configType, const unsigned _length)
| GenericSensorConfig (std::wstring const &argString, ConfigType _configType)
void | GetBytes (std::vector< uint8_t > &out) const override
ConfigType | GetConfigType () const override
const std::wstring | ToString () const override
const std::wstring | ToSimpleString (uint16_t const globalRate) const

## Static Public Member Functions
static const po::options_description | GetOptionDescription (ConfigType configType)
Static Public Member Functions inherited from inertia::GenericConfig
static unsigned | GetLength (uint8_t const *in)
static unsigned | GetHeaderSize ()

## Public Attributes
std::vector< AxisConfigPtr > | configs
Public Attributes inherited from inertia::GenericConfig
uint8_t | configRevision

## Additional Inherited Members
Protected Member Functions inherited from inertia::GenericConfig
| GenericConfig (uint8_t const *in)
| GenericConfig (std::wstring const &argString)
Protected Member Functions inherited from inertia::AbstractConfig
| AbstractConfig (uint8_t const *in)
| AbstractConfig (std::wstring const &argString)
| AbstractConfig (AbstractConfig const &)=default
AbstractConfig & | operator= (AbstractConfig const &)=default
Static Protected Member Functions inherited from inertia::GenericConfig
static const po::options_description | GetOptionDescription ()

## Member Function Documentation

## ◆ GetBytes()

void inertia::GenericSensorConfig::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Reimplemented from inertia::GenericConfig.

## ◆ GetConfigType()

ConfigType inertia::GenericSensorConfig::GetConfigType | ( |  | ) | const
| override virtual

Implements inertia::AbstractConfig.

## ◆ ToString()

const std::wstring inertia::GenericSensorConfig::ToString | ( |  | ) | const
| override virtual

Reimplemented from inertia::GenericConfig.

The documentation for this struct was generated from the following file:

- GenericSensorConfig.h